<?php
require_once __DIR__ . '/../../lib/class.db.php';
require_once __DIR__ . '/../../lib/class.portal.php';
require_once __DIR__ . '/../../vendor/autoload.php';

use RhdEvents\Portal as Portal;

session_start();

$db = new \RhdEvents\Db();

require_once __DIR__ . '/../../lib/inc.header.php';
?>
<link rel="stylesheet" type="text/css" href="//cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css" />

    <div class='row'>
        <div class='col-md-6 col-md-offset-3'>
            <h2 class='text-center'>Generate Spreadsheet</h2>
            <form method="POST" action='/generate_spreadsheet.php'>
                <input type='hidden' name='start_date' id='start_date' />
                <input type='hidden' name='end_date' id='end_date' />
                <div class='form-group'>
                    <label>Choose Date Range</label>
                    <input type='text' name='date_string' id='date_string' class='form-control' />
                </div>
                <div class='text-center'>
                    <button type='submit' class='btn btn-success btn-lg'>Download Spreadsheet</button>
                </div>
            </form>
        </div>
    </div>
    
</div>


<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<script src="//maxcdn.bootstrapcdn.com/bootstrap/3.3.5/js/bootstrap.min.js"></script>
<script type="text/javascript" src="//cdn.jsdelivr.net/momentjs/latest/moment.min.js"></script>
<script type="text/javascript" src="//cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js"></script>

<script>
$(document).ready(function() {
    $('#date_string').daterangepicker({}, function(start, end, label) {
        $('#start_date').val(start.format('YYYY-MM-DD'));
        $('#end_date').val(end.format('YYYY-MM-DD'));
    });
});
</script>
</body>
</html>
